%% Format latex public pour les AFST
\NeedsTeXFormat{LaTeX2e}% LaTeX 2.09 can't be used (nor non-LaTeX)
[1995/06/01]% LaTeX date must be June 1995 or later
\ProvidesClass{cedram-afst}[2007/04/21 v0.1]
%% Option langue
\newif\if@francais\@francaisfalse
\DeclareOption{francais}{\@francaistrue}
\DeclareOption{anglais}{\@francaisfalse}
\newif\ifcdr@cdrthmdefs\cdr@cdrthmdefstrue
\DeclareOption{NoThmDefs}{\cdr@cdrthmdefsfalse}
\DeclareOption{Unicode}{\relax}
\ProcessOptions\relax
%% On charge amsart
\LoadClass[reqno,centertags,portrait,10pt,twoside,%
 onecolumn]{amsart}[2004/08/06 v2.20]
%% Modifs amsart pour compatibilit{\'e} cedram
\AtBeginDocument{%
  \@for\@tempa:=-1,0,1,2,3,4\do{%
    \@ifundefined{r@tocindent\@tempa}{%
      \@xp\gdef\csname r@tocindent\@tempa\endcsname{0pt}}{}%
  }%
}
\def\@writetocindents{%
  \begingroup
  \@for\@tempa:=-1,0,1,2,3\do{%
    \immediate\write\@auxout{%
      \string\newlabel{tocindent\@tempa}{%
        \csname r@tocindent\@tempa\endcsname}}%
  }%
  \endgroup}
%% Structure de la commande \author
\renewcommand{\author}[2][]{%
  \ifx\@empty\authors
    \gdef\authors{#2}%
    \g@addto@macro\addresses{\author{#2}}%
  \else
    \g@addto@macro\authors{\and#2}%
    \g@addto@macro\addresses{\author{#2}}%
  \fi
  \@ifnotempty{#1}{%
    \ifx\@empty\shortauthors
      \gdef\shortauthors{#1}%
    \else
      \g@addto@macro\shortauthors{\and#1}%
    \fi
  }%
}
\edef\author{\@nx\@dblarg
  \@xp\@nx\csname\string\author\endcsname}
%% Th{\'e}or{\`e}mes pr{\'e}d{\'e}finis (piqu{\'e} {\`a} smfthm)

\def\cdr@thmdefs{}
\def\cdr@enoncedef{}
\def\cdr@thmeqs{}
\def\equalenv#1#2{%
\@ifundefined{#1}%
%\@xp\ifx\csname #1\endcsname\undefined
{\newenvironment{#1}{\begin{#2}}{\end{#2}}}%
{\ClassWarningNoLine{\@classname}{%
 #1 already defined: I won't redefine it!}}}
\ifcdr@cdrthmdefs
\newif\ifcdr@thmsin\cdr@thmsintrue
\newif\ifcdr@thmsas\cdr@thmsasfalse
\newif\ifcdr@thm@necounter\cdr@thm@necounterfalse
\def\OneNumberAllTheorems{\cdr@thm@necountertrue}
\def\NumberTheoremsIn#1{\@ifempty{#1}%
     {\cdr@thmsinfalse}%
     {\@ifundefined{c@#1}{\@nocounterr{#1}}%
       {\cdr@thmsintrue\cdr@thmsasfalse\def\@NumberTheorems{#1}}}}
  \NumberTheoremsIn{section}%
\def\NumberTheoremsAs#1{\@ifempty{#1}%
     {\cdr@thmsasfalse}%
     {\@ifundefined{c@#1}{\@nocounterr{#1}}%
       {\cdr@thmsinfalse\cdr@thmsastrue\cdr@thm@necountertrue\def\@NumberTheorems{#1}}}}
  \NumberTheoremsAs{}%
\def\SwapTheoremNumbers{\def\thm@swap{S}}
\def\NoSwapTheoremNumbers{\def\thm@swap{N}}
  \NoSwapTheoremNumbers
\def\cdr@thmdefs{%
  \theoremstyle{plain}
  \ifcdr@thm@necounter
  \ifcdr@thmsin
  \newcounter{cdrthm}[\@NumberTheorems]%
  \xdef\thecdrthm
         {\expandafter\noexpand\csname the\@NumberTheorems\endcsname
           \@thmcountersep\@thmcounter{cdrthm}}%
    \gdef\cdr@thm{cdrthm}%     
    \else
    \ifcdr@thmsas
    \xdef\cdr@thm{\@NumberTheorems}%
    \else
    \newcounter{cdrthm}%
    \gdef\cdr@thm{cdrthm}%     
    \fi\fi\fi
\ifcdr@thm@necounter
  \newtheorem{theo}[\cdr@thm]{\theoname}%
  \newtheorem{prop}[\cdr@thm]{\propname}%
  \newtheorem{conj}[\cdr@thm]{\conjname}%
  \newtheorem{coro}[\cdr@thm]{\coroname}%
  \newtheorem{lemm}[\cdr@thm]{\lemmname}%
  \theoremstyle{definition}%
  \newtheorem{defi}[\cdr@thm]{\definame}%
  \theoremstyle{remark}%
  \newtheorem{nota}[\cdr@thm]{\notaname}%
  \newtheorem{notas}[\cdr@thm]{\notasname}%
  \newtheorem{rema}[\cdr@thm]{\remaname}%
  \newtheorem{remas}[\cdr@thm]{\remasname}%
  \newtheorem{exem}[\cdr@thm]{\exemname}%
  \newtheorem{exems}[\cdr@thm]{\exemsname}%
\else
\ifcdr@thmsin
  \newtheorem{theo}{\theoname}[\@NumberTheorems]%
  \newtheorem{prop}{\propname}[\@NumberTheorems]%
  \newtheorem{conj}{\conjname}[\@NumberTheorems]%
  \newtheorem{coro}{\coroname}[\@NumberTheorems]%
  \newtheorem{lemm}{\lemmname}[\@NumberTheorems]%
  \theoremstyle{definition}%
  \newtheorem{defi}{\definame}[\@NumberTheorems]%
  \theoremstyle{remark}%
  \newtheorem{nota}{\notaname}[\@NumberTheorems]%
  \newtheorem{notas}{\notasname}[\@NumberTheorems]%
  \newtheorem{rema}{\remaname}[\@NumberTheorems]%
  \newtheorem{remas}{\remasname}[\@NumberTheorems]%
  \newtheorem{exem}{\exemname}[\@NumberTheorems]%
  \newtheorem{exems}{\exemsname}[\@NumberTheorems]%
\else
  \newtheorem{theo}{\theoname}%
  \newtheorem{prop}{\propname}%
  \newtheorem{conj}{\conjname}%
  \newtheorem{coro}{\coroname}%
  \newtheorem{lemm}{\lemmname}%
  \theoremstyle{definition}%
  \newtheorem{defi}{\definame}%
  \theoremstyle{remark}%
  \newtheorem{nota}{\notaname}%
  \newtheorem{notas}{\notasname}%
  \newtheorem{rema}{\remaname}%
  \newtheorem{remas}{\remasname}%
  \newtheorem{exem}{\exemname}%
  \newtheorem{exems}{\exemsname}%
\fi\fi
  \theoremstyle{definition}%
  \newtheorem*{defi*}{\definame}%
  \theoremstyle{remark}%
  \newtheorem*{nota*}{\notaname}%
  \newtheorem*{notas*}{\notasname}%
  \newtheorem*{rema*}{\remaname}%
  \newtheorem*{remas*}{\remasname}%
  \newtheorem*{exem*}{\exemname}%
  \newtheorem*{exems*}{\exemsname}%
  \theoremstyle{plain}%
  \newtheorem*{theo*}{\theoname}%
  \newtheorem*{prop*}{\propname}%
  \newtheorem*{conj*}{\conjname}%
  \newtheorem*{coro*}{\coroname}%
  \newtheorem*{lemm*}{\lemmname}%
}
\def\cdr@enoncedef{%
 \newenvironment{enonce}[2][plain]%
    {\let\cdrenonce\relax \theoremstyle{##1}%
      \ifcdr@thm@necounter
      \newtheorem{cdrenonce}[\cdr@thm]{##2}%
      \else
      \ifcdr@thmsin
      \newtheorem{cdrenonce}{##2}[\@NumberTheorems]%
      \else
      \newtheorem{cdrenonce}{##2}%
      \fi\fi
     \begin{cdrenonce}}%
    {\end{cdrenonce}}%
 \newenvironment{enonce*}[2][plain]%
    {\let\cdrenonce\relax \theoremstyle{##1}%
     \newtheorem*{cdrenonce}{##2}%
     \begin{cdrenonce}}%
    {\end{cdrenonce}}%
}
\fi
\AtBeginDocument{%
\cdr@thmdefs
\cdr@enoncedef}
\def\propname{Proposition}%
\def\conjname{Conjecture}%
\def\notaname{Notation}%
\def\notasname{Notations}%
\if@francais
\def\theoname{Th{\'e}or{\`e}me}%
\def\coroname{Corollaire}%
\def\lemmname{Lemme}%
\def\definame{D{\'e}finition}%
\def\remaname{Remarque}%
\def\remasname{Remarques}%
\def\exemname{Exemple}%
\def\exemsname{Exemples}%
\def\bibname{Bibliographie}%
\else
\def\theoname{Theorem}%
\def\coroname{Corollary}%
\def\lemmname{Lemma}%
\def\definame{Definition}%
\def\remaname{Remark}%
\def\remasname{Remarks}%
\def\exemname{Example}%
\def\exemsname{Examples}%
\def\bibname{Bibliography}%
\fi
\def\equalenv#1#2{%
\newenvironment{#1}{\begin{#2}}{\end{#2}}}
\equalenv{theorem}{theo}
\equalenv{thm}{theo}
\equalenv{thm*}{theo*}
\equalenv{lemma}{lemm}
%% M{\'e}tadonn{\'e}es
% titre du journal 
\newcommand{\setpublname}[2][Titre abr{\'e}g{\'e} absent]{%
\gdef\shortpublname{#1}\gdef\publname{#2}}
\setpublname[Ann. Fac. Sci. Toulouse Math]{Annales de la facult{\'e} des
  sciences de Toulouse}%
\def\currentjournaltitle{Annales de la facult{\'e} des sciences de
  Toulouse  Math{\'e}matiques}
\def\currentjournaltitleX{Annales de la facult{\'e} des sciences de
  Toulouse}
% entit{\'e} {\'e}ditrice du journal 
\edef\currentjournalpublisher{Universit{\'e} Paul Sabatier, Toulouse}
% titre abr{\'e}g{\'e} du journal
\def\currentjournalshorttitle{Ann. Fac. Sci. Toulouse Math}
% acronyme
\def\cdr@journalacro{AFST}
% ISSN
\def\@issn{0240-2963}
\def\@eissn{2258-7519}
%
%% Mtadonnes article
\let\@altabstract\@empty
\let\@alttitle\@empty
\newcommand*{\alttitle}[1]{\gdef\@alttitle{#1}}%
\newcommand*{\altkeywords}[1]{\gdef\@altkeywords{#1}}%
\newbox\altabstractbox
\newenvironment{altabstract}{%
  \ifx\maketitle\relax
    \ClassWarning{\@classname}{Altabstract should precede
      \protect\maketitle\space in AMS document classes; reported}%
  \fi
  \global\setbox\altabstractbox=\vtop \bgroup
    \normalfont\Small
    \list{}{\labelwidth\z@
      \leftmargin3pc \rightmargin\leftmargin
      \listparindent\normalparindent \itemindent\z@
      \parsep\z@ \@plus\p@
      \let\fullwidthdisplay\relax
    }%
    \item[\hskip\labelsep\scshape\altabstractname.]%
}{%
  \endlist\egroup
  \ifx\@setaltabstract\relax \@setaltabstracta \fi
}
\def\@setaltabstract{\@setaltabstracta \global\let\@setaltabstract\relax}
\def\@setaltabstracta{%
\ifx\@empty\@alttitle\else
\begin{center}%
\large\itshape  \@alttitle  
\end{center}%
\fi
  \ifvoid\altabstractbox
  \else
%     \skip@20\p@ \advance\skip@-\lastskip
%     \advance\skip@-\baselineskip \vskip\skip@
    \box\altabstractbox
    \prevdepth\z@ % because \altabstractbox is a vtop
  \fi
}
\def\@setabstract{%
  \centerline{\vrule depth0pt height0.4pt width 296pt}%
  \@setabstracta \global\let\@setabstract\relax
  \@setaltabstract
  \unskip\unskip
  \centerline{\vrule depth0pt height0.4pt width 296pt}%
}


%% gomtries
\paperwidth=160mm
\paperheight=230mm
\textwidth=116mm
\textheight=180mm
\ifx\undefined\pdfpagewidth\else
\pdfpagewidth\paperwidth
\pdfpageheight\paperheight
\fi
\topmargin-.94cm
\oddsidemargin-.29cm
\evensidemargin-.29cm
\headheight12pt
\headsep18pt
\topskip12pt
%% Typo
\footskip24pt
\def\footnoterule{\kern-6\p@
  \hrule width 2truein \kern 5.6\p@}
\skip\footins=12pt plus 4pt minus 4pt
\parskip=6pt plus 1pt minus .6pt
\parindent=14pt
\normalparindent=14pt
\renewcommand\baselinestretch{}
\frenchspacing
%% 10 pt et dimensions TeX...
\def\@mainsize{10}\def\@ptsize{0}%
  \def\@typesizes{%
    \or{5}{6}\or{6}{7}\or{7}{8}\or{8}{9}\or{9}{11}%
    \or{10}{13}% normalsize
    \or{\@xipt}{13}\or{\@xiipt}{14}\or{\@xivpt}{17}%
    \or{\@xviipt}{20}\or{\@xxpt}{24}}%
  \normalsize \linespacing=\baselineskip
\let\ept\Small
%%%% Versions jolies -- macros spcifiques
\RequirePackage{amssymb}
\let\le\leqslant
\let\ge\geqslant 
\let\leq\leqslant   
\let\geq\geqslant
%%
\def\pointir{\discretionary{.}{}{.\kern.3em---\kern.4em\ignorespaces}}
% Pas de mise en romain des numrotations intempestives !
\def\@upn#1{#1}
%% Paramtres de mise en page
%%1re page
\pagenumbering{arabic}%
%% Mention de copyright
\def\@setcopyright{}%
%% Style des pages courantes
\def\ps@afst{%\ps@empty
  \def\@evenhead{%
    \def\thanks{\protect\thanks@warning}%
    {\Small\hfil\leftmark}{}{}\hfil}%
  \def\@oddhead{%
    \def\thanks{\protect\thanks@warning}%
    \hfil{\Small\rightmark}{}{}\hfil}%
  \def\@evenfoot{\normalfont\hfill-- \thepage{} --\hfill}%
  \def\@oddfoot{\normalfont\hfill-- \thepage{} --\hfill}%
  \let\@mkboth\markboth
}%
\let\ps@plain\ps@afst
\pagestyle{afst}%
%% Style de la premire page
\def\ps@firstpage{\ps@plain
  \def\@oddfoot{\global\topskip\normaltopskip}%
  \let\@evenfoot\@oddfoot
  \def\@oddhead{\@serieslogo\hss}%
  \let\@evenhead\@oddhead % in case an article starts on a left-hand page
}%
% %% Identificiation article premire page
 \def\@logofont{\Small}
 % \ifcdr@special
% \def\article@logo{}%
% \else
\let\currentvolume\@empty
\def\article@logo{%
  \set@logo{%
    {\currentjournaltitleX}\hfill
     \if@francais\textbf{Version de travail}\else\textbf{Draft}\fi
  }%
}%
%% Prsentation du titre
\def\@settitle{%
  \bgroup
  \centering
  \vglue2mm
  \normalfont\Large\bfseries
  \@title
  \vskip10pt plus 4pt minus 3pt
  \egroup
}
%% Prsentation des auteurs
 \if@francais
 \def\@@and{et}%
  \else
 \def\@@and{and}%
 \fi

\def\author@andify{%
  \nxandlist {\unskip ,\penalty-2 \space\ignorespaces}%
   {\unskip {} \@@and~}%
    {\unskip {} \penalty-1  \@@and~}%
}
\let\redactor@contribs\@empty
\def\@setredactor@contribs{%
\if@francais
Rdig par
\else
Redacted by
\fi
\author@andify\redactor@contribs
\redactor@contribs
}
\let\appendixwriter@contribs\@empty
\def\@setappendixwriter@contribs{%
\if@francais
Avec un appendice par
\else
With an appendix by
\fi
\author@andify\appendixwriter@contribs
\appendixwriter@contribs
}
\let\nobreakauthor~
\def\initial#1{#1}
\def\lastname#1{#1}
\def\firstname#1{#1}
\def\middlename#1{#1}
\def\vonname#1{#1}
\def\@setauthors{%
  \begingroup
  \def\thanks{\protect\thanks@warning}%
  \trivlist
  \centering\normalfont\scshape \@topsep10\p@\relax
  \advance\@topsep by -\baselineskip
  \item\relax
  \author@andify\authors
  \def\\{\protect\linebreak}%
  \authors
  \ifx\@empty\redactor@contribs
  \else \vskip6pt \@setredactor@contribs
  \fi
  \ifx\@empty\appendixwriter@contribs
  \else \vskip6pt \@setappendixwriter@contribs
  \fi
  \endtrivlist
  \vskip16pt
  \endgroup
}
\def\@setsubtitle{%
  \bgroup
  \centering
  \vglue-3mm
 \normalfont\large\bfseries
  \@subtitle
  \vskip10pt plus 3pt minus 4pt
  \egroup
}
\def\@setdedicatory{%
	\vtop{\raggedleft{\footnotesize\slshape\@dedicatory\@@par}}}
%\advance\@titlebotskip-7mm
\def\cdr@preabstracthook{%
  \centerline{\vrule depth0pt height0.4pt width 1.3cm}%
}
%% Notes
\def\@makefnmark{%
  \leavevmode
	\hbox{\@textsuperscript{\normalfont(\@thefnmark)}\kern.15em}}%
\AtBeginDocument{\settoheight{\footnotesep}{\footnotesize M$^{(1)}$}}
\def\@makequasifnmark#1{%
  \def\@thefnmark{#1}%
  \@makefnmark
}
\long\def\@quasifootnotetext#1#2{%
  \insert\footins{%
    \normalfont\footnotesize
    \interlinepenalty\interfootnotelinepenalty
    \splittopskip\footnotesep \splitmaxdepth \dp\strutbox
    \floatingpenalty\@MM \hsize\columnwidth
    \@parboxrestore \parindent\normalparindent \sloppy
    \@ifnotempty{#1}{\@makequasifnmark{#1}}%
      \rule\z@\footnotesep{\raggedright#2\unskip\strut\par}}}
%\def\@makefntext{\noindent\@makefnmark}
%% Notes de la premire page
\if@francais
\def\curraddrname{Adresse actuelle}
\else
\def\curraddrname{Current address}
\fi
\def\emailaddrname{E-mail}
\def\urladdrname{URL}
\newcount\cdr@notes@adress\cdr@notes@adress0
\def\@setaddresses{%\par
   \begingroup
   \ifx\url\undefined
   \def\url##1{##1}%
   \def\href##1##2{##2}\else
   \url@samestyle
   \fi
 \def\author##1{\ifnum\cdr@notes@adress=\z@\else\@@par\hskip\normalparindent\fi\advance\cdr@notes@adress1\relax
   \@makequasifnmark{\@arabic\cdr@notes@adress}\ignorespaces\def\\{ \ignorespaces}}%
  \def\curraddr##1##2{\begingroup
    \@ifnotempty{##2}{ --- \textit{\curraddrname{}\thsp:} %
    {\ignorespaces##2\unskip}\endgroup}}%
  \def\email##1##2{\begingroup
    \@ifnotempty{##2}{ ---  \href{mailto:##2}{##2}}\endgroup}%
  \def\urladdr##1##2{\begingroup
    \@ifnotempty{##2}{ --- \url{##2}}\endgroup}%
  \@quasifootnotetext{}{%\cdr@notes@adress1   \@makequasifnmark{\@arabic\cdr@notes@adress}\ignorespaces\def\\{ \ignorespaces}%
    \addresses}%
   \endgroup
 }
\def\@cleartopmattertags{%
  \let\maketitle\relax
     \c@footnote=\cdr@notes@adress
}
\def\ProposedBy#1{\def\cdr@proposedby{#1}}%
\let\cdr@proposedby\@empty
\def\@setproposedby{%
 Article propos\'e par \cdr@proposedby.}
\def\@adminfootnotes{%
  \begingroup%\parindent=0pt\normalparindent=0pt
  {\let\@makefnmark\relax  \let\@thefnmark\relax
  \ifx\@empty\@keywords\else \@footnotetext{\@setkeywords}\fi
  \ifx\@empty\@subjclass\else \@footnotetext{\@setsubjclass}\fi}
  \ifx\@empty\authors \else\@setaddresses\fi
  \ifx\@empty\thankses\else\@quasifootnotetext{}{\def\par{\let\par\@par}\@setthanks}\fi
  \ifx\@empty\cdr@proposedby \else \@quasifootnotetext{}{\@setproposedby}\fi%
\endgroup}
 \def\@setthanks{\def\thanks##1{##1\@addpunct. }%
   \thankses}% 
\def\@setsubjclass{%
  {\slshape\subjclassname\thsp:}\space\@subjclass\@addpunct.}
\def\@setkeywords{%
  {\slshape \keywordsname\thsp:}\space \@keywords\@addpunct.}
\if@francais
 \def\keywordsname{Mots-cls}
 \def\subjclassname{Classification math.}
\else
 \def\keywordsname{Keywords}
 \def\subjclassname{Math. classification}
\fi
\@xp\let\csname subjclassname@2000\endcsname \subjclassname
\def\thsp{}%
\if@francais
\def\thsp{\,}%
\fi
\def\@settranslators{%
\def\lastname##1{\MakeUppercase{##1}}%
\andify\@translators
\if@francais
Traduit par
\else
Translated by
\fi
\@translators\@addpunct.}
\def\@setsubjclass{%
  {\itshape\subjclassname\thsp:}\space\@subjclass\@addpunct.}
\def\@setkeywords{%
  {\itshape \keywordsname\thsp:}\space \@keywords\@addpunct.}
\if@francais
 \def\keywordsname{Mots-cls}
 \def\subjclassname{Classification math.}
\renewcommand{\abstractname}{R\'esum\'e}
\newcommand{\altabstractname}{Abstract}
\else
 \def\keywordsname{Keywords}
 \def\subjclassname{Math. classification}
%\newcommand{\abstractname}{Abstract}
\newcommand{\altabstractname}{R\'esum\'e}
\fi
\@xp\let\csname subjclassname@2000\endcsname \subjclassname
\@xp\let\csname subjclassname@1991\endcsname \subjclassname
%
%%final
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% sections
\renewcommand\section{\@startsection{section}{1}{\z@}%
{27pt plus 6pt minus 8pt}{12pt plus 6pt minus 4pt}%%
{\center\normalfont\bfseries}}
% \subsection remplace \titre
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
{18pt plus 6pt minus 8pt}{12pt plus 6pt minus 4pt}%%
{\normalfont\bfseries}}
% \subsubsection ne remplace rien, mais sert pour la biblio
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
{18pt plus 6pt minus 8pt}{12pt plus 6pt minus 4pt}%%
{\normalfont\bfseries}}
% \paragraph remplace \sect 
\renewcommand\paragraph{\@startsection{paragraph}{4}{\parindent}%
{3mm}{-.2em}{\normalfont\bfseries}}
% \paragraphc ne remplace rien
\newcommand\paragraphc{\@startsection{paragraph}{4}{\parindent}%
{3mm}{1sp}{\normalfont\bfseries}}
% \subparagraph remplace \ssection ?
\renewcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
{3mm}{-.2em}{\normalfont\scshape}}
% \subparagraphc remplace \ssect ?
\newcommand{\subparagraphc}{\@startsection{subparagraph}{5}{\parindent}%
{3mm}{1sp}{\normalfont\scshape}}
\renewcommand{\@seccntformat}[1]{\csname the#1\endcsname .\hspace{0.5em}\ignorespaces}
\setcounter{secnumdepth}{3}
\setcounter{tocdepth}{3}
\numberwithin{equation}{section}
%% Biblio
\renewcommand{\@bibtitlestyle}{%
 \section*{\bibname}%
}
%% Thormes
\OneNumberAllTheorems
\def\th@plain{%
  \thm@bodyfont{\normalfont\itshape}
  \thm@headfont{\normalfont\scshape}
  \thm@notefont{\normalfont}
  \thm@headpunct{\pointir}
%  \let\thmheadnl\relax
%  \let\thm@swap\@gobble
  \thm@headsep 0\p@\relax
  \let\thm@indent\indent 
  \def\thm@space@setup{%
    \thm@preskip=\smallskipamount
    \thm@postskip=\thm@preskip}
  \itshape
}
\def\th@remark{%
  \thm@bodyfont{\normalfont}
  \thm@headfont{\normalfont\itshape}
  \thm@notefont{\normalfont\itshape}
  \thm@headpunct{\pointir}
  \let\thm@indent\indent 
  \def\thm@space@setup{%
    \thm@preskip=\smallskipamount
    \thm@postskip=\thm@preskip}%
}
\let\th@definition\th@plain
% Versions coupes -- sans pointir !
 \def\th@plainc{%
   \thm@bodyfont{\normalfont\itshape}
   \thm@headfont{\normalfont\scshape}
   \thm@notefont{\normalfont}
   \thm@headpunct{.}
   \def\thmheadnl{\newline}
%   \let\thm@swap\@gobble
   \thm@headsep\z@skip
   \let\thm@indent\indent 
   \def\thm@space@setup{%
     \thm@preskip=\smallskipamount
     \thm@postskip=\thm@preskip}
   \itshape
 }
 \def\th@remarkc{%
   \thm@bodyfont{\normalfont}
   \thm@headfont{\normalfont\itshape}
   \thm@notefont{\normalfont\itshape}
   \thm@headpunct{.}
   \let\thm@indent\indent 
   \thm@headsep\z@skip
 \def\thmheadnl{\newline\indent}
   \def\thm@space@setup{%
     \thm@preskip=\smallskipamount
     \thm@postskip=\thm@preskip}%
 }
\AtBeginDocument{%
\theoremstyle{plainc}%
  \newtheorem{theoc}[\cdr@thm]{\theoname}%
  \newtheorem{propc}[\cdr@thm]{\propname}%
  \newtheorem{conjc}[\cdr@thm]{\conjname}%
  \newtheorem{coroc}[\cdr@thm]{\coroname}%
  \newtheorem{lemmc}[\cdr@thm]{\lemmname}%
  \newtheorem{defic}[\cdr@thm]{\definame}%
  \newtheorem*{theoc*}{\theoname}%
  \newtheorem*{propc*}{\propname}%
  \newtheorem*{conjc*}{\conjname}%
  \newtheorem*{coroc*}{\coroname}%
  \newtheorem*{lemmc*}{\lemmname}%
  \newtheorem*{defic*}{\definame}%
  \theoremstyle{remarkc}%
  \newtheorem{notac}[\cdr@thm]{\notaname}%
  \newtheorem{notasc}[\cdr@thm]{\notasname}%
  \newtheorem{remac}[\cdr@thm]{\remaname}%
  \newtheorem{remasc}[\cdr@thm]{\remasname}%
  \newtheorem{exemc}[\cdr@thm]{\exemname}%
  \newtheorem{exemsc}[\cdr@thm]{\exemsname}%
  \newtheorem*{notac*}{\notaname}%
  \newtheorem*{notasc*}{\notasname}%
  \newtheorem*{remac*}{\remaname}%
  \newtheorem*{remasc*}{\remasname}%
  \newtheorem*{exemc*}{\exemname}%
  \newtheorem*{exemsc*}{\exemsname}%
\theoremstyle{plain}%
}%
%\def\proofheadfont{\itshape}
\renewenvironment{proof}[1][\proofname]{\par
  \pushQED{\qed}%
  \normalfont \topsep\smallskipamount
  \trivlist
  \item\hskip\parindent
        \itshape
        #1\@addpunct{\pointir}\ignorespaces\normalfont
}{%
  \popQED\endtrivlist\@endpefalse
}
%
%% Floats
 \def\@captionheadfont{\normalfont}
 \def\@captionfont{\normalfont}
\newskip\abovecaptionskip \abovecaptionskip=12pt \relax
\newskip\belowcaptionskip \belowcaptionskip=12pt \relax
\newdimen\captionindent \captionindent=\normalparindent
\numberwithin{figure}{section}
\numberwithin{table}{section}

\def\enddoc@text{%
 \begingroup
 \def\nobreakauthor{\relax}%%
 \def\and{\relax}%%
   \def\firstname##1{\relax}%
    \def\lastname##1{\relax}%
    \def\middlename##1{\relax}%
    \def\vonname##1{\relax}%
    \def\junior##1{\relax}%
    \edef\@tmpa{\authors}
    \fontdimen2\font=0pt\fontdimen3\font=0pt\fontdimen4\font=0pt\relax
  \sbox\@tempboxa{\relax\@tmpa}%
  \ifdim\wd\@tempboxa>\z@%
  \ClassError{\@classname}{%
   No printable char should be placed outside of name commands for
   authors names (firstname, lastname, middlename, vonname,
   junior). If you want to insert a nonbreakable space, please use nobreakauthor!
      }{%
RTFM!
      }%
\fi
\endgroup
}

\endinput